Repository to hold the comps.xml files used for CentOS releases and tool to generate those files
Fabian Arrotin
2016-10-13 2aafaae9f3b7aefdbf1a7894684097488156d2b6
Updated comps.xml for c7.1611 (to be reviewed)
1 files modified
91 ■■■■■ changed files
c7-x86_64-comps.xml 91 ●●●●● patch | view | raw | blame | history
c7-x86_64-comps.xml
@@ -220,8 +220,6 @@
      <packagereq type="mandatory">iscsi-initiator-utils</packagereq>
      <packagereq type="mandatory">lvm2</packagereq>
      <packagereq type="mandatory">mdadm</packagereq>
      <packagereq type="mandatory">s390utils</packagereq>
      <packagereq type="mandatory">s390utils-base</packagereq>
      <packagereq type="mandatory">shim</packagereq>
      <packagereq type="mandatory">system-config-firewall-base</packagereq>
      <packagereq type="mandatory">tboot</packagereq>
@@ -555,7 +553,6 @@
      <packagereq type="default">xfsdump</packagereq>
      <packagereq type="default">xz</packagereq>
      <packagereq type="default">yum-langpacks</packagereq>
      <packagereq type="default">yum-plugin-security</packagereq>
      <packagereq type="default">yum-utils</packagereq>
      <packagereq type="default">zip</packagereq>
      <packagereq type="optional">acpid</packagereq>
@@ -1145,7 +1142,6 @@
      <packagereq type="mandatory">yum</packagereq>
      <packagereq type="default">aic94xx-firmware</packagereq>
      <packagereq type="default">alsa-firmware</packagereq>
      <packagereq type="default">bfa-firmware</packagereq>
      <packagereq type="default">dracut-config-rescue</packagereq>
      <packagereq type="default">ivtv-firmware</packagereq>
      <packagereq type="default">iwl100-firmware</packagereq>
@@ -1166,20 +1162,13 @@
      <packagereq type="default">iwl7260-firmware</packagereq>
      <packagereq type="default">iwl7265-firmware</packagereq>
      <packagereq type="default">kernel-tools</packagereq>
      <packagereq type="default">libertas-sd8686-firmware</packagereq>
      <packagereq type="default">libertas-sd8787-firmware</packagereq>
      <packagereq type="default">libertas-usb8388-firmware</packagereq>
      <packagereq type="default">libsysfs</packagereq>
      <packagereq type="default">linux-firmware</packagereq>
      <packagereq type="default">microcode_ctl</packagereq>
      <packagereq type="default">NetworkManager</packagereq>
      <packagereq type="default">NetworkManager-team</packagereq>
      <packagereq type="default">NetworkManager-tui</packagereq>
      <packagereq type="default">NetworkManager-wifi</packagereq>
      <packagereq type="default">postfix</packagereq>
      <packagereq type="default">ql2100-firmware</packagereq>
      <packagereq type="default">ql2200-firmware</packagereq>
      <packagereq type="default">ql23xx-firmware</packagereq>
      <packagereq type="default">rdma</packagereq>
      <packagereq type="optional">dracut-config-generic</packagereq>
      <packagereq type="optional">dracut-fips</packagereq>
@@ -1262,6 +1251,7 @@
      <packagereq type="default">abrt-cli</packagereq>
      <packagereq type="default">crash</packagereq>
      <packagereq type="default">crash-gcore-command</packagereq>
      <packagereq type="default">crash-ptdump-command</packagereq>
      <packagereq type="default">crash-trace-command</packagereq>
      <packagereq type="default">elfutils</packagereq>
      <packagereq type="default">kernel-tools</packagereq>
@@ -1498,7 +1488,6 @@
      <packagereq type="optional">cmake</packagereq>
      <packagereq type="optional">compat-gcc-44</packagereq>
      <packagereq type="optional">compat-gcc-44-c++</packagereq>
      <packagereq type="optional">compat-gcc-44-g77</packagereq>
      <packagereq type="optional">cvs</packagereq>
      <packagereq type="optional">dejagnu</packagereq>
      <packagereq type="optional">ElectricFence</packagereq>
@@ -2615,7 +2604,6 @@
      <packagereq type="mandatory">gdm</packagereq>
      <packagereq type="mandatory">gedit</packagereq>
      <packagereq type="mandatory">glib-networking</packagereq>
      <packagereq type="mandatory">gnome-backgrounds</packagereq>
      <packagereq type="mandatory">gnome-bluetooth</packagereq>
      <packagereq type="mandatory">gnome-boxes</packagereq>
      <packagereq type="mandatory">gnome-calculator</packagereq>
@@ -2643,6 +2631,7 @@
      <packagereq type="mandatory">gnome-system-log</packagereq>
      <packagereq type="mandatory">gnome-system-monitor</packagereq>
      <packagereq type="mandatory">gnome-terminal</packagereq>
      <packagereq type="mandatory">gnome-terminal-nautilus</packagereq>
      <packagereq type="mandatory">gnome-themes-standard</packagereq>
      <packagereq type="mandatory">gnome-tweak-tool</packagereq>
      <packagereq type="mandatory">gnome-user-docs</packagereq>
@@ -2655,7 +2644,6 @@
      <packagereq type="mandatory">gvfs-goa</packagereq>
      <packagereq type="mandatory">gvfs-gphoto2</packagereq>
      <packagereq type="mandatory">gvfs-mtp</packagereq>
      <packagereq type="mandatory">gvfs-obexftp</packagereq>
      <packagereq type="mandatory">gvfs-smb</packagereq>
      <packagereq type="mandatory">initial-setup</packagereq>
      <packagereq type="mandatory">initial-setup-gui</packagereq>
@@ -2667,14 +2655,12 @@
      <packagereq type="mandatory">metacity</packagereq>
      <packagereq type="mandatory">mousetweaks</packagereq>
      <packagereq type="mandatory">nautilus</packagereq>
      <packagereq type="mandatory">nautilus-open-terminal</packagereq>
      <packagereq type="mandatory">nautilus-sendto</packagereq>
      <packagereq type="mandatory">NetworkManager-libreswan-gnome</packagereq>
      <packagereq type="mandatory">nm-connection-editor</packagereq>
      <packagereq type="mandatory">orca</packagereq>
      <packagereq type="mandatory">PackageKit-command-not-found</packagereq>
      <packagereq type="mandatory">PackageKit-gtk3-module</packagereq>
      <packagereq type="mandatory">polkit-gnome</packagereq>
      <packagereq type="mandatory">redhat-access-gui</packagereq>
      <packagereq type="mandatory">sane-backends-drivers-scanners</packagereq>
      <packagereq type="mandatory">seahorse</packagereq>
@@ -3028,13 +3014,13 @@
    <default>true</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory">lvm2-cluster</packagereq>
      <packagereq type="mandatory">pacemaker</packagereq>
      <packagereq type="default">fence-agents-all</packagereq>
      <packagereq type="default">omping</packagereq>
      <packagereq type="default">pacemaker-doc</packagereq>
      <packagereq type="default">pcs</packagereq>
      <packagereq type="optional">lvm2-cluster-standalone</packagereq>
      <packagereq type="optional">booth-arbitrator</packagereq>
      <packagereq type="optional">booth-site</packagereq>
    </packagelist>
  </group>
  <group>
@@ -3092,11 +3078,11 @@
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="default">mcelog</packagereq>
      <packagereq type="default">rasdaemon</packagereq>
      <packagereq type="default">smartmontools</packagereq>
      <packagereq type="optional">edac-utils</packagereq>
      <packagereq type="optional">lm_sensors</packagereq>
      <packagereq type="optional">mcelog</packagereq>
    </packagelist>
  </group>
  <group>
@@ -3239,6 +3225,7 @@
      <packagereq type="default">ibutils</packagereq>
      <packagereq type="default">libcxgb3</packagereq>
      <packagereq type="default">libcxgb4</packagereq>
      <packagereq type="default">libi40iw</packagereq>
      <packagereq type="default">libibmad</packagereq>
      <packagereq type="default">libibumad</packagereq>
      <packagereq type="default">libipathverbs</packagereq>
@@ -3249,10 +3236,12 @@
      <packagereq type="optional">compat-dapl</packagereq>
      <packagereq type="optional">compat-opensm-libs</packagereq>
      <packagereq type="optional">infiniband-diags</packagereq>
      <packagereq type="optional">iwpmd</packagereq>
      <packagereq type="optional">libhfi1</packagereq>
      <packagereq type="optional">libibcommon</packagereq>
      <packagereq type="optional">libocrdma</packagereq>
      <packagereq type="optional">libusnic_verbs</packagereq>
      <packagereq type="optional">libvma</packagereq>
      <packagereq type="optional">mstflint</packagereq>
      <packagereq type="optional">opensm</packagereq>
      <packagereq type="optional">perftest</packagereq>
@@ -3432,6 +3421,8 @@
      <packagereq type="default">evolution-ews</packagereq>
      <packagereq type="default">evolution-help</packagereq>
      <packagereq type="default">evolution-mapi</packagereq>
      <packagereq type="optional">pidgin</packagereq>
      <packagereq type="optional">pidgin-sipe</packagereq>
      <packagereq type="optional">thunderbird</packagereq>
      <packagereq type="optional">xchat</packagereq>
    </packagelist>
@@ -3496,7 +3487,6 @@
    <packagelist>
      <packagereq type="default">firefox</packagereq>
      <packagereq type="default">icedtea-web</packagereq>
      <packagereq type="default">totem-mozplugin</packagereq>
    </packagelist>
  </group>
  <group>
@@ -3736,7 +3726,6 @@
      <packagereq type="mandatory">kde-print-manager</packagereq>
      <packagereq type="mandatory">kde-runtime</packagereq>
      <packagereq type="mandatory">kde-settings-pulseaudio</packagereq>
      <packagereq type="mandatory">kde-wallpapers</packagereq>
      <packagereq type="mandatory">kde-workspace</packagereq>
      <packagereq type="mandatory">kdeaccessibility</packagereq>
      <packagereq type="mandatory">kdeadmin</packagereq>
@@ -4461,6 +4450,7 @@
      <packagereq type="mandatory">wodim</packagereq>
      <packagereq type="conditional" requires="gstreamer1">gstreamer1-plugins-bad-free</packagereq>
      <packagereq type="conditional" requires="gstreamer1">gstreamer1-plugins-good</packagereq>
      <packagereq type="optional">pavucontrol</packagereq>
    </packagelist>
  </group>
  <group>
@@ -4778,11 +4768,8 @@
      <packagereq type="default">libreoffice-math</packagereq>
      <packagereq type="default">libreoffice-writer</packagereq>
      <packagereq type="optional">libreoffice-base</packagereq>
      <packagereq type="optional">libreoffice-javafilter</packagereq>
      <packagereq type="optional">libreoffice-ogltrans</packagereq>
      <packagereq type="optional">libreoffice-presentation-minimizer</packagereq>
      <packagereq type="optional">libreoffice-pyuno</packagereq>
      <packagereq type="optional">libreoffice-report-builder</packagereq>
      <packagereq type="optional">libreoffice-wiki-publisher</packagereq>
    </packagelist>
  </group>
@@ -5079,7 +5066,6 @@
      <packagereq type="default">php-pdo</packagereq>
      <packagereq type="default">php-pear</packagereq>
      <packagereq type="default">php-xml</packagereq>
      <packagereq type="optional">php-imap</packagereq>
      <packagereq type="optional">php-ldap</packagereq>
      <packagereq type="optional">php-mysql</packagereq>
      <packagereq type="optional">php-odbc</packagereq>
@@ -5154,7 +5140,6 @@
      <packagereq type="mandatory">glib2-devel</packagereq>
      <packagereq type="mandatory">glibc-devel</packagereq>
      <packagereq type="mandatory">gnome-common</packagereq>
      <packagereq type="mandatory">gnome-devel-docs</packagereq>
      <packagereq type="mandatory">gtk2-devel-docs</packagereq>
      <packagereq type="mandatory">gtk3-devel</packagereq>
      <packagereq type="mandatory">krb5-devel</packagereq>
@@ -5185,9 +5170,43 @@
      <packagereq type="mandatory">pango-devel</packagereq>
      <packagereq type="mandatory">qt-devel</packagereq>
      <packagereq type="mandatory">qt3-devel</packagereq>
      <packagereq type="mandatory">qt5-qt3d-devel</packagereq>
      <packagereq type="mandatory">qt5-qtbase-mysql</packagereq>
      <packagereq type="mandatory">qt5-qtbase-odbc</packagereq>
      <packagereq type="mandatory">qt5-qtbase-postgresql</packagereq>
      <packagereq type="mandatory">qt5-qtcanvas3d</packagereq>
      <packagereq type="mandatory">qt5-qtconnectivity-devel</packagereq>
      <packagereq type="mandatory">qt5-qtdoc</packagereq>
      <packagereq type="mandatory">qt5-qtenginio-devel</packagereq>
      <packagereq type="mandatory">qt5-qtgraphicaleffects</packagereq>
      <packagereq type="mandatory">qt5-qtimageformats</packagereq>
      <packagereq type="mandatory">qt5-qtlocation-devel</packagereq>
      <packagereq type="mandatory">qt5-qtmultimedia-devel</packagereq>
      <packagereq type="mandatory">qt5-qtquickcontrols</packagereq>
      <packagereq type="mandatory">qt5-qtscript-devel</packagereq>
      <packagereq type="mandatory">qt5-qtsensors-devel</packagereq>
      <packagereq type="mandatory">qt5-qtserialport-devel</packagereq>
      <packagereq type="mandatory">qt5-qtsvg-devel</packagereq>
      <packagereq type="mandatory">qt5-qttools-devel</packagereq>
      <packagereq type="mandatory">qt5-qttranslations</packagereq>
      <packagereq type="mandatory">qt5-qtwebchannel-devel</packagereq>
      <packagereq type="mandatory">qt5-qtwebsockets-devel</packagereq>
      <packagereq type="mandatory">qt5-qtx11extras-devel</packagereq>
      <packagereq type="mandatory">qt5-qtxmlpatterns-devel</packagereq>
      <packagereq type="mandatory">redhat-lsb</packagereq>
      <packagereq type="mandatory">xorg-x11-docs</packagereq>
      <packagereq type="mandatory">zlib-devel</packagereq>
    </packagelist>
  </group>
  <group>
    <id>platform-vmware</id>
    <name>VMware platform specific packages</name>
    <description>Virtualization utilities and drivers for VMware</description>
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="default">open-vm-tools</packagereq>
      <packagereq type="default">open-vm-tools-desktop</packagereq>
    </packagelist>
  </group>
  <group>
@@ -5399,6 +5418,7 @@
      <packagereq type="default">system-config-printer-udev</packagereq>
      <packagereq type="optional">hplip</packagereq>
      <packagereq type="optional">hplip-gui</packagereq>
      <packagereq type="optional">samba-krb5-printing</packagereq>
    </packagelist>
  </group>
  <group>
@@ -5742,9 +5762,9 @@
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory">gfs2-utils</packagereq>
      <packagereq type="mandatory">lvm2-cluster</packagereq>
      <packagereq type="default">dlm</packagereq>
      <packagereq type="optional">cmirror</packagereq>
      <packagereq type="optional">cmirror-standalone</packagereq>
      <packagereq type="optional">ctdb</packagereq>
    </packagelist>
  </group>
@@ -5873,11 +5893,17 @@
      <packagereq type="optional">gnuplot</packagereq>
      <packagereq type="optional">gsl-devel</packagereq>
      <packagereq type="optional">lapack</packagereq>
      <packagereq type="optional">mpich</packagereq>
      <packagereq type="optional">mpich-3.0-devel</packagereq>
      <packagereq type="optional">mpich-3.2-devel</packagereq>
      <packagereq type="optional">mpitests-mvapich2</packagereq>
      <packagereq type="optional">mpitests-openmpi</packagereq>
      <packagereq type="optional">mvapich2</packagereq>
      <packagereq type="optional">mvapich2-psm-devel</packagereq>
      <packagereq type="optional">mvapich2-2.0-devel</packagereq>
      <packagereq type="optional">mvapich2-2.0-doc</packagereq>
      <packagereq type="optional">mvapich2-2.0-psm-devel</packagereq>
      <packagereq type="optional">mvapich2-2.2-devel</packagereq>
      <packagereq type="optional">mvapich2-2.2-doc</packagereq>
      <packagereq type="optional">mvapich2-2.2-psm-devel</packagereq>
      <packagereq type="optional">mvapich2-2.2-psm2-devel</packagereq>
      <packagereq type="optional">numpy</packagereq>
      <packagereq type="optional">openmpi</packagereq>
      <packagereq type="optional">openmpi-devel</packagereq>
@@ -5952,6 +5978,7 @@
      <packagereq type="optional">hmaccalc</packagereq>
      <packagereq type="optional">openscap</packagereq>
      <packagereq type="optional">openscap-utils</packagereq>
      <packagereq type="optional">scap-security-guide-doc</packagereq>
      <packagereq type="optional">scap-workbench</packagereq>
      <packagereq type="optional">strongimcv</packagereq>
      <packagereq type="optional">tncfhh</packagereq>
@@ -6320,6 +6347,7 @@
      <packagereq type="mandatory">virt-manager</packagereq>
      <packagereq type="mandatory">virt-viewer</packagereq>
      <packagereq type="default">virt-top</packagereq>
      <packagereq type="optional">libguestfs-inspect-icons</packagereq>
      <packagereq type="optional">libguestfs-tools</packagereq>
      <packagereq type="optional">libguestfs-tools-c</packagereq>
    </packagelist>
@@ -6519,6 +6547,7 @@
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="default">libguestfs</packagereq>
      <packagereq type="optional">libguestfs-inspect-icons</packagereq>
      <packagereq type="optional">libguestfs-java</packagereq>
      <packagereq type="optional">libguestfs-tools</packagereq>
      <packagereq type="optional">libguestfs-tools-c</packagereq>
@@ -6644,6 +6673,7 @@
      <packagereq type="optional">memcached</packagereq>
      <packagereq type="optional">mod_auth_kerb</packagereq>
      <packagereq type="optional">mod_auth_mellon</packagereq>
      <packagereq type="optional">mod_auth_openidc</packagereq>
      <packagereq type="optional">mod_nss</packagereq>
      <packagereq type="optional">mod_revocator</packagereq>
      <packagereq type="optional">mod_security</packagereq>
@@ -8302,6 +8332,7 @@
      <groupid>gnome-desktop</groupid>
      <groupid>guest-agents</groupid>
      <groupid>guest-desktop-agents</groupid>
      <groupid>hardware-monitoring</groupid>
      <groupid>input-methods</groupid>
      <groupid>internet-browser</groupid>
      <groupid>multimedia</groupid>